API Guide Home (Online version only) |

# HsPhoneSecurity.h File Reference

## Detailed Description

Header File for Phone Library API ---- SECURITY CATEGORY.

Notes: All implementations of the Handspring Phone Library support a common API. This API is broken up into various categories for easier management. This file defines the public portion of the Security category. These API calls are used to protect access to device and phone features.

Definition in file HsPhoneSecurity.h.

Include dependency graph for HsPhoneSecurity.h:

Go to the source code of this file.

## Functions

- Err PhnLibGetPhoneLock (UInt16 refNum, Boolean *lock, Boolean *autoLockCheckBoxState)
    Parameters:

      | refNum,: | IN:

- Err PhnLibSetPhoneLock (UInt16 refNum, Boolean enable, PhnLockMode lockMode, CharPtr password)
- Err PhnLibSetOperatorLock (UInt16 refNum, UInt16 facilityType, Boolean enable, CharPtr password)
- Err PhnLibGetRemainingPasswordTries (UInt16 refNum, Int16 *pinTries, Int16 *pin2Tries, Int16 *pukTries, Int16 *puk2Tries)
- Err PhnLibCRSM (UInt16 refNum, UInt16 command, UInt32 fileId, UInt16 p1, UInt16 p2, UInt16 p3, UInt8 *data, UInt16 dataSize, UInt16 *sw1, UInt16 *sw2, char **response, UInt16 *responseSize)

## Function Documentation

Err PhnLibCRSM | ( | UInt16 | refNum,
|  | UInt16 | command,
|  | UInt32 | fileId,
|  | UInt16 | p1,
|  | UInt16 | p2,
|  | UInt16 | p3,
|  | UInt8 * | data,
|  | UInt16 | dataSize,
|  | UInt16 * | sw1,
|  | UInt16 * | sw2,
|  | char ** | response,
|  | UInt16 * | responseSize |
| ) |  |  |

Err PhnLibGetPhoneLock | ( | UInt16 | refNum,
|  | Boolean * | lock,
|  | Boolean * | autoLockCheckBoxState |
| ) |  |  |

Parameters:

  | refNum,: | IN:

Parameters:

  | lock,: | IN:
  | autoLockCheckBoxState,: | IN:

Return values:

  | Err | Error code.

Err PhnLibGetRemainingPasswordTries | ( | UInt16 | refNum,
|  | Int16 * | pinTries,
|  | Int16 * | pin2Tries,
|  | Int16 * | pukTries,
|  | Int16 * | puk2Tries |
| ) |  |  |

Err PhnLibSetOperatorLock | ( | UInt16 | refNum,
|  | UInt16 | facilityType,
|  | Boolean | enable,
|  | CharPtr | password |
| ) |  |  |

Err PhnLibSetPhoneLock | ( | UInt16 | refNum,
|  | Boolean | enable,
|  | PhnLockMode | lockMode,
|  | CharPtr | password |
| ) |  |  |

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:25 2008 for Palm API Guide